# Class: Example.Overload

Defined in: | node_modules/codo/spec/_templates/methods/overload_method.coffee

## Instance Method Summary

- ~ (void) set(key, value) This is a generic Store set method.

## Instance Method Details

~ (void) set(key, value)
~ (Boolean) set(value)

This is a generic Store set method.

This should be more description for the method itself, and overload shouldn't have messed it up.

### Overloads:

~ (void) set(key, value)

Sets a value on key

### Parameters:

- key ( `Symbol` ) — describe key param
- value ( `Object` ) — describe value param
- options ( `Object` ) — the options

### Options Hash: (options):

- test ( `String` ) — the test option

~ (Boolean) set(value)

Sets a value on the default key `:foo`

### Parameters:

- value ( `Object` ) — describe value param

### Returns:

- ( `Boolean` ) — true when success

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input